Search for all

  1. Search 7.x for all
  2. Search 9.5.x for all
  3. Search 8.9.x for all
  4. Search 10.3.x for all
  5. Search 11.x for all
  6. Other projects
Title Object type File name Summary
SortTest::$filePath property core/tests/Drupal/Tests/PhpCs/SortTest.php The path of phpcs.xml.dist file.
SortTest::$testViews property core/modules/views/tests/src/Kernel/Handler/SortTest.php Views used by this test.
SortTest::assertSorted function core/tests/Drupal/Tests/PhpCs/SortTest.php A helper method to assert that an input array is sorted.
SortTest::badParameterProvider function core/modules/jsonapi/tests/src/Unit/Query/SortTest.php Data provider for testCreateFromQueryParameterFail.
SortTest::parameterProvider function core/modules/jsonapi/tests/src/Unit/Query/SortTest.php Provides a suite of shortcut sort parameters and their expected expansions.
SortTest::setUp function core/modules/jsonapi/tests/src/Unit/Query/SortTest.php
SortTest::setUp function core/tests/Drupal/Tests/PhpCs/SortTest.php
SortTest::setUp function core/tests/Drupal/Tests/CSpell/SortTest.php
SortTest::testCreateFromQueryParameter function core/modules/jsonapi/tests/src/Unit/Query/SortTest.php Tests create from query parameter.
SortTest::testCreateFromQueryParameterFail function core/modules/jsonapi/tests/src/Unit/Query/SortTest.php Tests create from query parameter fail.
SortTest::testFileExists function core/tests/Drupal/Tests/CSpell/SortTest.php Tests that the file exists.
SortTest::testFileExists function core/tests/Drupal/Tests/PhpCs/SortTest.php Tests that the phpcs.xml.dist file exists.
SortTest::testNumericOrdering function core/modules/views/tests/src/Kernel/Handler/SortTest.php Tests numeric ordering of the result set.
SortTest::testSorted function core/tests/Drupal/Tests/PhpCs/SortTest.php Tests that the phpcs.xml.dist file is properly sorted.
SortTest::testSorted function core/tests/Drupal/Tests/CSpell/SortTest.php Tests that the file is properly sorted.
SortTest::testStringOrdering function core/modules/views/tests/src/Kernel/Handler/SortTest.php Tests string ordering of the result set.
SortTestConfigEntityWithWeight class core/tests/Drupal/Tests/Core/Config/Entity/ConfigEntityBaseUnitTest.php Test entity class to test sorting.
SortTestConfigEntityWithWeight::$label property core/tests/Drupal/Tests/Core/Config/Entity/ConfigEntityBaseUnitTest.php The label.
SortTestConfigEntityWithWeight::$weight property core/tests/Drupal/Tests/Core/Config/Entity/ConfigEntityBaseUnitTest.php The weight.
SortTranslationTest class core/modules/views/tests/src/Kernel/Handler/SortTranslationTest.php Tests sorting on translatable and not translatable fields.
SortTranslationTest.php file core/modules/views/tests/src/Kernel/Handler/SortTranslationTest.php
SortTranslationTest::$modules property core/modules/views/tests/src/Kernel/Handler/SortTranslationTest.php
SortTranslationTest::$testViews property core/modules/views/tests/src/Kernel/Handler/SortTranslationTest.php
SortTranslationTest::setUp function core/modules/views/tests/src/Kernel/Handler/SortTranslationTest.php
SortTranslationTest::testSortbyUntranslatedIntegerField function core/modules/views/tests/src/Kernel/Handler/SortTranslationTest.php Tests sorting on an untranslated field.
source-editing.admin.css file core/modules/ckeditor5/css/source-editing.admin.css .ckeditor5-toolbar-button-sourceEditing {
background-image: url(../icons/source-editing.svg);
}
SourceEditing class core/modules/ckeditor5/src/Plugin/CKEditor5Plugin/SourceEditing.php CKEditor 5 Source Editing plugin configuration.
SourceEditing.php file core/modules/ckeditor5/src/Plugin/CKEditor5Plugin/SourceEditing.php
SourceEditing::buildConfigurationForm function core/modules/ckeditor5/src/Plugin/CKEditor5Plugin/SourceEditing.php
SourceEditing::defaultConfiguration function core/modules/ckeditor5/src/Plugin/CKEditor5Plugin/SourceEditing.php
SourceEditing::getDynamicPluginConfig function core/modules/ckeditor5/src/Plugin/CKEditor5Plugin/SourceEditing.php
SourceEditing::getElementsSubset function core/modules/ckeditor5/src/Plugin/CKEditor5Plugin/SourceEditing.php
SourceEditing::submitConfigurationForm function core/modules/ckeditor5/src/Plugin/CKEditor5Plugin/SourceEditing.php
SourceEditing::validateConfigurationForm function core/modules/ckeditor5/src/Plugin/CKEditor5Plugin/SourceEditing.php
SourceEditingEmptyElementTest class core/modules/ckeditor5/tests/src/FunctionalJavascript/SourceEditingEmptyElementTest.php Tests Drupal\ckeditor5\Plugin\CKEditor5Plugin\SourceEditing.
SourceEditingEmptyElementTest.php file core/modules/ckeditor5/tests/src/FunctionalJavascript/SourceEditingEmptyElementTest.php
SourceEditingEmptyElementTest::testEmptyInlineElement function core/modules/ckeditor5/tests/src/FunctionalJavascript/SourceEditingEmptyElementTest.php Tests creating empty inline elements using Source Editing.
SourceEditingPluginTest class core/modules/ckeditor5/tests/src/Unit/SourceEditingPluginTest.php Tests Drupal\ckeditor5\Plugin\CKEditor5Plugin\SourceEditing.
SourceEditingPluginTest.php file core/modules/ckeditor5/tests/src/Unit/SourceEditingPluginTest.php
SourceEditingPluginTest::providerGetDynamicPluginConfig function core/modules/ckeditor5/tests/src/Unit/SourceEditingPluginTest.php Provides a list of configs to test.
SourceEditingPluginTest::testGetDynamicPluginConfig function core/modules/ckeditor5/tests/src/Unit/SourceEditingPluginTest.php Tests get dynamic plugin config.
SourceEditingPreventSelfXssConstraint class core/modules/ckeditor5/src/Plugin/Validation/Constraint/SourceEditingPreventSelfXssConstraint.php For disallowing Source Editing configuration that allows self-XSS.
SourceEditingPreventSelfXssConstraint.php file core/modules/ckeditor5/src/Plugin/Validation/Constraint/SourceEditingPreventSelfXssConstraint.php
SourceEditingPreventSelfXssConstraint::__construct function core/modules/ckeditor5/src/Plugin/Validation/Constraint/SourceEditingPreventSelfXssConstraint.php
SourceEditingPreventSelfXssConstraintValidator class core/modules/ckeditor5/src/Plugin/Validation/Constraint/SourceEditingPreventSelfXssConstraintValidator.php Ensures Source Editing cannot be configured to allow self-XSS.
SourceEditingPreventSelfXssConstraintValidator.php file core/modules/ckeditor5/src/Plugin/Validation/Constraint/SourceEditingPreventSelfXssConstraintValidator.php
SourceEditingPreventSelfXssConstraintValidator::getRegExForWildCardAttributeName function core/modules/ckeditor5/src/Plugin/Validation/Constraint/SourceEditingPreventSelfXssConstraintValidator.php Computes a regular expression for matching a wildcard attribute name.
SourceEditingPreventSelfXssConstraintValidator::isWildcardAttributeName function core/modules/ckeditor5/src/Plugin/Validation/Constraint/SourceEditingPreventSelfXssConstraintValidator.php Checks whether the given attribute name contains a wildcard, e.g. `data-*`.
SourceEditingPreventSelfXssConstraintValidator::validate function core/modules/ckeditor5/src/Plugin/Validation/Constraint/SourceEditingPreventSelfXssConstraintValidator.php
SourceEditingRedundantTagsConstraint class core/modules/ckeditor5/src/Plugin/Validation/Constraint/SourceEditingRedundantTagsConstraint.php For disallowing Source Editing elements already supported by a plugin.

Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.